#include "weapon.hpp"

#include <window.h>

namespace game{
namespace equipment {

Weapon::Weapon(float a, float b, float c) noexcept: cooldown(a), damage(b), bulletSpeed(c), reloadTime(0) {};

void Weapon::Update() noexcept
{
    if (this->reloadTime > 0) {
        this->reloadTime -= window::deltaTime;

        if (this->reloadTime < 0) {
            this->reloadTime = 0;
        }
    }
}

}
}
